# KSPMonitorTrueResidualNorm

Prints the true residual norm as well as the preconditioned residual norm at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPMonitorTrueResidualNorm(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - unused monitor context

### Options Database Key

-ksp_monitor_true_residual_norm -Activates KSPMonitorTrueResidualNorm()

### Notes

When using right preconditioning, these values are equivalent.

When using either ICC or ILU preconditioners in BlockSolve95 (via MATMPIROWBS matrix format), then use this monitor will print both the residual norm associated with the original (unscaled) matrix.

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorDefault(), KSPMonitorLGCreate()

Level:intermediate
Location: src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages